find_datafile_object(3)

NAME
find_datafile_object - Searches a datafile for an object with a name. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

DATAFILE *find_datafile_object(const DATAFILE *dat, const char *objectname);

DESCRIPTION
Searches an already loaded datafile for an object with the specified name. In the name you can use `/' and `#' separators for nested datafile paths. Example:
   char level_name[10];
   DATAFILE *dat, *level;
   ...
   uszprintf(level_name, sizeof(buffer),
             "LEVEL_%02d", level_number);
   level = find_datafile_object(dat, level_name);
   if (!level)
      abort_on_error("That level doesn't exist!");

RETURN VALUE
Returns a pointer to a single DATAFILE element whose `dat' member points to the object, or NULL if the object could not be found.

SEE ALSO
load_datafile(3), load_datafile_object(3)